Subject: bug#13808: Gnus gratuiously messes with the encoding of attachments

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Jul 2013 18:07:09 +0200

David Kastrup <[email-masked]> writes:

> I append an attachment with C-c C-m f that had been originally encoded
> in UTF-8.  Gnus decides to reencode it in Latin-1 for whatever reason.
> Attachments should _always_ be a faithful byte-by-byte rendition of the
> original file.

I think MUAs are free to alter the encoding of forwarded messages as
they choose.  Even MTAs can alter encodings according to their whims.

So I don't think it's a bug that Gnus re-encodes stuff, but in this
instance it sounds like it's re-encoding things wrongly.  Or do you have
a preference set somewhere that prefers Latin-1?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/